cURL
curl -X GET "https://api.fitsociety.io/public/v1/exports/types" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/exports/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exportTypes": [
{
"typeId": "company-clients-xlsx",
"label": "Client List (XLSX)",
"description": "Export clients including selected member data.",
"filters": {
"dateRange": true,
"statuses": [
"active",
"paused"
],
"relationshipStatuses": [
"active",
"archived"
],
"schema": [
{}
]
},
"formats": [
"xlsx",
"csv"
],
"defaultFormat": "xlsx",
"capabilities": [
"async",
"xlsx",
"csv"
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Exports
List export types
Requires exports:read. Returns the asynchronous export types available for the authenticated company. When available, company-accounting-zip provides invoice and invoice-line CSVs, VAT totals, payment attempts, Chargebacks, warnings and original PDFs. Its inclusive dateFrom/dateTo range is required and its format is zip.
GET
/
public
/
v1
/
exports
/
types
cURL
curl -X GET "https://api.fitsociety.io/public/v1/exports/types" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/exports/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exportTypes": [
{
"typeId": "company-clients-xlsx",
"label": "Client List (XLSX)",
"description": "Export clients including selected member data.",
"filters": {
"dateRange": true,
"statuses": [
"active",
"paused"
],
"relationshipStatuses": [
"active",
"archived"
],
"schema": [
{}
]
},
"formats": [
"xlsx",
"csv"
],
"defaultFormat": "xlsx",
"capabilities": [
"async",
"xlsx",
"csv"
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}